import pandas as pd
import plottingMethod as plot

############# Start Define variables ################
#path to csv file with Confidence Intervals. Style: "(CI)IV,DV.csv"
filepath = './DataTables/(CI)Identifier,TimeForSelection_(DimensionString).csv'

plotName = 'IdentifierXTimeForSelection(DimensionString).pdf'

xLabelString = 'Difference in Selection Time (s)'
############# End Define variables ################

#load the csv file
df = pd.read_csv(filepath)

#transform dataframe into list of dictionaries
dataDictList = df.to_dict(orient='records')

#set up the data dict for the plotting method
dataDict = {}
for currentDataDict in dataDictList:
    if currentDataDict['seriesName'] not in dataDict:
        dataDict[currentDataDict['seriesName']] = []
    dataDict[currentDataDict['seriesName']].append(currentDataDict)

#create plot for current main effect
plot.createPlot(dataDict, filename=plotName, xLabel=xLabelString, showLineAtZero = True, showOnlyIntegers = False, alsoShowPlot = False)

